package edu.uoc.tfg.nutriknow.model;

import java.io.Serializable;
import java.util.ArrayList;
import java.util.List;

/**
 * Ingredients analysis representation class
 */
public class IngredientsAnalysis implements Serializable {

    public IngredientsAnalysis() {

    }

    public int count;
    public List<IngredientAnalysis> tags = new ArrayList<>();

    public static class IngredientAnalysis implements Serializable {

        public IngredientAnalysis() {

        }

        public int known;
        public String name;
        public String id;
        public String url;
        public int products;
    }
}
