package edu.uoc.tfg.nutriknow.model;

import java.io.Serializable;

/**
 * Nutriments representation class
 */
public class Nutriments implements Serializable {

    private String code;
    private String name_es;
    private String name_en;
    private String unit;
    private float value100;
    private float valueServing;

    public Nutriments() {
    }

    public Nutriments(String code, String name_es, String name_en, String unit, float value100, float valueServing) {
        this.code = code;
        this.name_es = name_es;
        this.name_en = name_en;
        this.unit = unit;
        this.value100 = value100;
        this.valueServing = valueServing;
    }

    public String getCode() {
        return code;
    }

    public void setCode(String code) {
        this.code = code;
    }

    public String getName_es() {
        return name_es;
    }

    public void setName_es(String name_es) {
        this.name_es = name_es;
    }

    public String getName_en() {
        return name_en;
    }

    public void setName_en(String name_en) {
        this.name_en = name_en;
    }

    public String getUnit() {
        return unit;
    }

    public void setUnit(String unit) {
        this.unit = unit;
    }

    public float getValue100() {
        return value100;
    }

    public void setValue100(float value100) {
        this.value100 = value100;
    }

    public float getValueServing() {
        return valueServing;
    }

    public void setValueServing(float valueServing) {
        this.valueServing = valueServing;
    }
}
