package edu.uoc.tfg.nutriknow.model;

import com.google.gson.annotations.SerializedName;

import java.io.Serializable;
import java.util.ArrayList;
import java.util.List;

/**
 * Allergens representation class
 */
public class Allergens implements Serializable {

    @SerializedName("tags")
    public List<Allergen> tags = new ArrayList<>();
    @SerializedName("count")
    public Integer count;

    public Allergens() {
    }

    public static class Allergen implements Serializable {
        @SerializedName("id")
        public String id;
        @SerializedName("name")
        public String name;
        @SerializedName("url")
        public String url;
        @SerializedName("products")
        public Integer products;
        @SerializedName("known")
        public Integer known;

        public Allergen() {
        }
    }

}
