package edu.uoc.tfg.nutriknow.model;

import java.util.Date;

/**
 * Favorite product representation class
 */
public class Favorite extends Search {
    private Date nextDateToCheckProductInfo;

    public Favorite() {
    }

    public Favorite(String productCode, String productName_es, String productName_en, Date nextDateToCheckProductInfo) {
        super(productCode, productName_es, productName_en);
        this.nextDateToCheckProductInfo = nextDateToCheckProductInfo;
    }

    public Date getNextDateToCheckProductInfo() {
        return nextDateToCheckProductInfo;
    }

    public void setNextDateToCheckProductInfo(Date nextDateToCheckProductInfo) {
        this.nextDateToCheckProductInfo = nextDateToCheckProductInfo;
    }
}
