package edu.uoc.tfg.nutriknow.model;

import java.util.ArrayList;
import java.util.Date;
import java.util.List;

/**
 * User profile representation class
 */
public class Profile {

    private String periodicity;
    private Date created;
    private String selectedLanguage;
    private List<Allergens.Allergen> allergens_es = new ArrayList<>();
    private List<Allergens.Allergen> allergens_en = new ArrayList<>();

    public Profile() {
    }

    public Profile(String periodicity, Date created, String selectedLanguage,
                   List<Allergens.Allergen> allergens_es, List<Allergens.Allergen> allergens_en) {
        this.periodicity = periodicity;
        this.created = created;
        this.selectedLanguage = selectedLanguage;
        this.allergens_es = allergens_es;
        this.allergens_en = allergens_en;
    }

    public String getPeriodicity() {
        return periodicity;
    }

    public void setPeriodicity(String periodicity) {
        this.periodicity = periodicity;
    }

    public Date getCreated() {
        return created;
    }

    public void setCreated(Date created) {
        this.created = created;
    }

    public String getSelectedLanguage() {
        return selectedLanguage;
    }

    public void setSelectedLanguage(String selectedLanguage) {
        this.selectedLanguage = selectedLanguage;
    }

    public List<Allergens.Allergen> getAllergens_es() {
        return allergens_es;
    }

    public void setAllergens_es(List<Allergens.Allergen> allergens_es) {
        this.allergens_es = allergens_es;
    }

    public List<Allergens.Allergen> getAllergens_en() {
        return allergens_en;
    }

    public void setAllergens_en(List<Allergens.Allergen> allergens_en) {
        this.allergens_en = allergens_en;
    }
}
