package edu.uoc.tfg.nutriknow.model;

/**
 * Search representation class
 */
public class Search implements Comparable<Search> {

    private String productCode;
    private String productName_es;
    private String productName_en;

    private boolean isNew;

    public Search() {
    }

    public Search(String productCode, String productName_es, String productName_en) {
        this.productCode = productCode;
        this.productName_es = productName_es;
        this.productName_en = productName_en;
    }

    public String getProductCode() {
        return productCode;
    }

    public void setProductCode(String productCode) {
        this.productCode = productCode;
    }

    public String getProductName_es() {
        return productName_es;
    }

    public void setProductName_es(String productName_es) {
        this.productName_es = productName_es;
    }

    public String getProductName_en() {
        return productName_en;
    }

    public void setProductName_en(String productName_en) {
        this.productName_en = productName_en;
    }


    public boolean isNew() {
        return isNew;
    }

    public void setNew(boolean aNew) {
        isNew = aNew;
    }

    @Override
    public int compareTo(Search u) {
        Long one = Long.valueOf(getProductCode());
        Long other = Long.valueOf(u.getProductCode());
        if (one == null || other == null) {
            return 0;
        }
        return one.compareTo(other);
    }
}
