package edu.uoc.tfg.nutriknow.model;

import com.google.firebase.database.IgnoreExtraProperties;

/**
 * User representation class
 */
@IgnoreExtraProperties
public class User {

    private String userName;
    private String email;
    private String uuid;
    private boolean hasProfile;

    public User() {
    }

    public User(String userName, String email) {
        this.userName = userName;
        this.email = email;
    }

    public String getUserName() {
        return userName;
    }

    public void setUserName(String userName) {
        this.userName = userName;
    }

    public String getEmail() {
        return email;
    }

    public void setEmail(String email) {
        this.email = email;
    }

    public boolean isHasProfile() {
        return hasProfile;
    }

    public void setHasProfile(boolean hasProfile) {
        this.hasProfile = hasProfile;
    }

    public String getUuid() {
        return uuid;
    }

    public void setUuid(String uuid) {
        this.uuid = uuid;
    }

}
