package edu.uoc.tfg.nutriknow.model;

import java.io.Serializable;

/**
 * Required data for worker (background service) representation class
 */
public class WorkerData implements Serializable {

    private String userUuid;
    private String firebaseToken;

    public WorkerData() {
    }

    public WorkerData(String userUuid, String firebaseToken) {
        this.userUuid = userUuid;
        this.firebaseToken = firebaseToken;
    }

    public String getUserUuid() {
        return userUuid;
    }

    public void setUserUuid(String userUuid) {
        this.userUuid = userUuid;
    }

    public String getFirebaseToken() {
        return firebaseToken;
    }

    public void setFirebaseToken(String firebaseToken) {
        this.firebaseToken = firebaseToken;
    }
}
