package edu.uoc.tfg.nutriknow.utils;

import android.app.Activity;
import android.content.Context;
import android.view.inputmethod.InputMethodManager;

/**
 * Utils class for managing keyboard behaviour
 */
public class KeyboardUtils {

    /**
     * Method for hiding device keyboard
     *
     * @param ctx      context
     * @param activity activity
     */
    public static void hideKeyBoard(Context ctx, Activity activity) {
        InputMethodManager imm = (InputMethodManager) ctx.getSystemService(Activity.INPUT_METHOD_SERVICE);
        imm.hideSoftInputFromWindow(activity.getWindow().getDecorView().getWindowToken(), 0);
    }
}
